Subject: Re: [84attendees] coffee

From: Randall Gellens <[email-masked]>
Date: Fri, 3 Aug 2012 15:30:35 -0700

It may be too late, but Blenz is a local chain with a place very 
close to the Hyatt.  They have a nice matcha latte, your choice sweet 
or not, hot or iced, full fat, low fat, no fat, or soy milk.

-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly selected tag: ---------------
No man is a hero to his wife's psychiatrist.      --Eric Berne